=== modified file 'app/ubuntu-calculator-app.qml'
--- app/ubuntu-calculator-app.qml	2016-08-18 11:48:03 +0000
+++ app/ubuntu-calculator-app.qml	2016-11-11 15:39:26 +0000
@@ -45,6 +45,11 @@
         source: "engine/MathJs.qml"
         asynchronous: true
         active: keyboardLoader.active
+        onLoaded: {
+            mathJs.config({
+                    number: 'BigNumber'
+            });
+        }
     }
 
     // Long form of formula, which are saved in the storage/history
@@ -135,9 +140,6 @@
     }
 
     function formulaPush(visual) {
-        mathJs.config({
-                number: 'bignumber'
-        });
         // If the user press a number after the press of "=" we start a new
         // formula, otherwise we continue with the old one
         if ((!isNaN(visual) || (visual === ".")) && isLastCalculate) {
@@ -204,9 +206,6 @@
     }
 
     function calculate() {
-        mathJs.config({
-                number: 'bignumber'
-        });
         if ((longFormula === '') || (isLastCalculate === true)) {
             errorAnimation.restart();
             return;

=== added directory 'setup'
=== added directory 'setup/gui'
=== added file 'setup/gui/icon.png'
Binary files setup/gui/icon.png and setup/gui/icon.png differ
=== added file 'setup/gui/ubuntu-calculator-app.desktop'
--- setup/gui/ubuntu-calculator-app.desktop	1970-01-01 00:00:00 +0000
+++ setup/gui/ubuntu-calculator-app.desktop	2016-11-10 20:06:43 +0000
@@ -0,0 +1,185 @@
+[Desktop Entry]
+Name=Calculator
+Name[aa]=Cisaabeyná
+Name[am]=መደመሪያ
+Name[ar]=الآلة الحاسبة
+Name[ast]=Calculadora
+Name[az]=Kalkulyator
+Name[be]=Калькулятар
+Name[bg]=Калкулатор
+Name[br]=Jederez
+Name[bs]=Kalkulator
+Name[ca]=Calculadora
+Name[ca@valencia]=Calculadora
+Name[cs]=Kalkulačka
+Name[cy]=Cyfrifiannell
+Name[da]=Lommeregner
+Name[de]=Taschenrechner
+Name[el]=Αριθμομηχανή
+Name[en_AU]=Calculator
+Name[en_CA]=Calculator
+Name[en_GB]=Calculator
+Name[eo]=Kalkulilo
+Name[es]=Calculadora
+Name[eu]=Kalkulagailua
+Name[fa]=ماشین‌حساب
+Name[fi]=Laskin
+Name[fo]=Roknitól
+Name[fr]=Calculatrice
+Name[fr_CA]=Calculatrice
+Name[gd]=An t-àireamhair
+Name[gl]=Calculadora
+Name[gu]=કેલ્ક્યુલેટર
+Name[he]=מחשבון
+Name[hi]=कैलकुलेटर
+Name[hr]=Kalkulator
+Name[hu]=Számológép
+Name[id]=Kalkulator
+Name[is]=Reiknivél
+Name[it]=Calcolatrice
+Name[ja]=電卓
+Name[km]=ម៉ាស៊ីន​គិត​លេខ
+Name[ko]=계산기
+Name[lv]=Kalkulators
+Name[mr]=गणनयंत्र
+Name[ms]=Kalkulator
+Name[my]=ဂဏန်းတွက်စက်
+Name[nb]=Kalkulator
+Name[ne]=क्याल्कुलेटर
+Name[nl]=Rekenmachine
+Name[pa]=ਕੈਲਕੂਲੇਟਰ
+Name[pl]=Kalkulator
+Name[pt]=Calculadora
+Name[pt_BR]=Calculadora
+Name[ro]=Calculator
+Name[ru]=Калькулятор
+Name[sa]=सङ्कलकम्
+Name[shn]=ၸၢၵ်ႈၼပ့်သွၼ်
+Name[sk]=Kalkulačka
+Name[sl]=Računalo
+Name[sr]=Калкулатор
+Name[sv]=Kalkylator
+Name[ta]=கணிப்பான்
+Name[te]=గణన పరికరం
+Name[tr]=Hesap Makinesi
+Name[ug]=ھېسابلىغۇچ
+Name[uk]=Калькулятор
+Name[uz]=Kalkulyator
+Name[zh_CN]=计算器
+Name[zh_HK]=計數機
+Name[zh_TW]=計算機
+Comment=A calculator for Ubuntu.
+Comment[aa]=Ubuntu cisaabeyná
+Comment[am]=ለ ኡቡንቱ ማስሊያ
+Comment[ast]=Una calculadora pa Ubuntu
+Comment[az]=Ubuntu üçün kalkulyator.
+Comment[be]=Калькулятар Ubuntu.
+Comment[br]=Ur jederez evit Ubuntu
+Comment[bs]=Digitron za Ubuntu.
+Comment[ca]=Una calculadora per a l'Ubuntu.
+Comment[ca@valencia]=Una calculadora per a l'Ubuntu.
+Comment[cs]=Kalkulátor pro Ubuntu.
+Comment[cy]=Cyfrifiannell ar gyfer Ubuntu
+Comment[da]=En lommeregner for Ubuntu.
+Comment[de]=Ein Taschenrechner für Ubuntu
+Comment[el]=Αριθμομηχανή για το Ubuntu.
+Comment[en_AU]=A calculator for Ubuntu.
+Comment[en_GB]=A calculator for Ubuntu.
+Comment[eo]=Kalkulilo por Ubuntu.
+Comment[es]=Una calculadora para Ubuntu.
+Comment[eu]=Ubunturako kalkulagailu bat.
+Comment[fa]=ماشین‌حسابی برای اویونتو
+Comment[fi]=Laskin Ubuntulle
+Comment[fo]=Eitt roknitól til Ubuntu.
+Comment[fr]=Une calculatrice pour Ubuntu.
+Comment[fr_CA]=Une calculatrice pour Ubuntu.
+Comment[gd]=Àireamhair airson Ubuntu.
+Comment[gl]=Calculadora para Ubuntu
+Comment[he]=מחשבון לאובונטו.
+Comment[hr]=Kalkulator za Ubuntu
+Comment[hu]=Számológép Ubuntuhoz.
+Comment[id]=Kalkulator untuk Ubuntu
+Comment[it]=Una calcolatrice per Ubuntu.
+Comment[lv]=Ubuntu kalkulators
+Comment[ms]=Kalkulator untuk Ubuntu.
+Comment[nb]=Kalkulatorprogram for Ubuntu.
+Comment[nl]=Een rekenmachine voor Ubuntu.
+Comment[pa]=ਉਬੰਤੂ ਲਈ ਇੱਕ ਕੈਲਕੁਲੇਟਰ
+Comment[pl]=Kalkulator dla Ubuntu
+Comment[pt]=Calculadora para Ubuntu.
+Comment[pt_BR]=Uma calculadora para Ubuntu.
+Comment[ro]=Un calculator pentru Ubuntu
+Comment[ru]=Калькулятор для Ubuntu.
+Comment[sk]=Kalkulačka pre Ubuntu
+Comment[sl]=Računalo za Ubuntu
+Comment[sr]=Калкулатор за Убунту.
+Comment[sv]=En kalkylator för Ubuntu.
+Comment[tr]=Ubuntu için bir hesap makinesi.
+Comment[ug]=ئۇبۇنتۇدىكى ھېسابلىغۇچى
+Comment[uk]=Калькулятор Ubuntu.
+Comment[zh_CN]=Ubuntu适用的计算器。
+Comment[zh_TW]=Ubuntu 計算機。
+Keywords=math;addition;subtraction;multiplication;division;
+Keywords[aa]=cisab;ossa;kalti;agra;kura;
+Keywords[am]=ሂሳብ;መደመሪያ;መቀነሻ;ማባዣ;ማካፈያ;
+Keywords[ar]=رياضة;ياضيات;حساب;حسابات;جمع;طرح;ضرب;قسمة;
+Keywords[ast]=matemática;suma;resta;multiplicación;división;
+Keywords[az]=riyaziyyat;әlavә etmә;çıxma;vurma;bölmә;toplama;
+Keywords[be]=math;addition;subtraction;multiplication;division;математика;додавання;віднімання;множення;ділення;калькулятор;
+Keywords[br]=matematikoù;sammadenn;lamadenn;lieskementadenn;rannadenn;
+Keywords[bs]=matematičke operacije;sabiranje;oduzimanje;množenje;dijeljenje
+Keywords[ca]=suma;resta;calculadora;multiplica;divideix
+Keywords[ca@valencia]=suma;resta;calculadora;multiplica;divideix
+Keywords[cs]=matematika;sčítání;dělení;odčítání;násobení
+Keywords[cy]=math;adio;tynnu;lluosi;rhannu;
+Keywords[da]=matematik;plus;minus;gange;dividere;beregning;lommeregner;
+Keywords[de]=Mathe;Mathematik;Multiplikation;Subtraktion;Addition;Division;
+Keywords[el]=math;addition;subtraction;multiplication;division;μαθηματικά;μαθηματικα;πρόσθεση;προσθεση;αφαίρεση;αφαίρεση;πολλαπλασιασμός;πολλαπλασιασμος;διαίρεση;διαιρεση;
+Keywords[en_AU]=math;addition;subtraction;multiplication;division;
+Keywords[en_GB]=maths;addition;subtraction;multiplication;division;
+Keywords[es]=matemática;suma;resta;multiplicación;división;
+Keywords[eu]=matematikak;gehitu;kendu;biderkatu;zatitu;
+Keywords[fa]=math;addition;subtraction;multiplication;division;
+Keywords[fi]=math;addition;subtraction;multiplication;division;matematiikka;lisäys;vähennys;kertaus;jakaminen;
+Keywords[fo]=støddfrøði;samanlegging;frádráttur;falding;býting
+Keywords[fr]=math;addition;soustraction;multiplication;division;
+Keywords[fr_CA]=maths;maths;addition;soustraction;multiplication;division;
+Keywords[gd]=math;addition;subtraction;multiplication;division;matamataig;roinneadh;toirt air falbh;cur ris;iomadadh
+Keywords[gl]=matemáticas;suma;resta;multiplicación;división;
+Keywords[he]=מתמטיקה;חשבון;חיבור;חיסור;כפל;חילוק;
+Keywords[hr]=math;addition;subtraction;multiplication;division;
+Keywords[hu]=számolás;összeadás;kivonás;szorzás;osztás;
+Keywords[id]=math;addition;subtraction;multiplication;division;matematika;penjumlahan;pengurangan;perkalian;pembagian;
+Keywords[is]=reikna;samlagning;frádráttur;margföldun;deiling
+Keywords[it]=matematica;addizioni;sottrazioni;moltiplicazioni;divisioni;
+Keywords[ja]=math;addition;subtraction;multiplication;division;計算;電卓;足し算;引き算;かけ算;わり算;
+Keywords[km]=math;addition;subtraction;multiplication;division;
+Keywords[ko]=수학;덧셈;뺄셈;곱셈;나눗셈;
+Keywords[lv]=matematika;saskaitīt;atņemt;reizināt;dalīt;
+Keywords[ms]=matematik;tambah;tolak;darab;bahagi;
+Keywords[nb]=matte;addisjon;subtraksjon;multiplikasjon;divisjon;
+Keywords[ne]=गणित; जोड्; घटाउ; गुणन; विभाजन;
+Keywords[nl]=wiskunde;optellen;aftrekken;vermenigvuldigen;delen;
+Keywords[pa]=ਹਿਸਾਬ;ਜੋੜ;ਘਟਾਉ;ਗੁਣਾ;ਭਾਗ;
+Keywords[pl]=liczenie;dodawanie;odejmowanie;mnożenie;dzielenie;
+Keywords[pt]=matemática;soma;subtracção;multiplicação;divisão;
+Keywords[pt_BR]=matemática;adição;subtração;multiplicação;divisão
+Keywords[ro]=matematică;adunare;scădere;înmulțire;împărțire
+Keywords[ru]=математика;сложение;умножение;деление;
+Keywords[sa]=गणितम्;योजनम्;वियोजनम्;गुणनम्;विभाजनम्;
+Keywords[sk]=matematika;sčítanie;odčítanie;násobenie;delenie;
+Keywords[sl]=matematika;seštevanje;odštevanje;množenje;deljenje;
+Keywords[sr]=математика;сабирање;одузимање;множење;дељење;
+Keywords[sv]=matematik;addition;subtraktion;multiplikation;division
+Keywords[tr]=matematik;ekleme;çıkarma;çarpma;bölme;toplama
+Keywords[ug]=ماتېماتىكا;قوشۇش;ئېلىش;كۆپەيتىش;بۆلۈش;
+Keywords[uk]=math;addition;subtraction;multiplication;division;математика;додавання;віднімання;множення;ділення;калькулятор;
+Keywords[zh_CN]=数学;加;减;乘;除;
+Keywords[zh_TW]=math;addition;subtraction;multiplication;division;數學;加;減;乘;除;
+Exec=ubuntu-calculator-app %u
+Icon=/snap/ubuntu-calendar-app/current/ubuntu-calculator-app.png
+Terminal=false
+Type=Application
+X-Ubuntu-Touch=true
+X-Ubuntu-Default-Department-ID=accessories
+X-Ubuntu-Splash-Color=#F5F5F5

=== added directory 'snap'
=== added directory 'snap/ubuntu-app-platform'
=== modified file 'snapcraft.yaml'
--- snapcraft.yaml	2016-07-12 14:53:12 +0000
+++ snapcraft.yaml	2016-11-11 15:39:50 +0000
@@ -1,31 +1,38 @@
 name: ubuntu-calculator-app
-version: 2.1+snap3
+version: 2.3
 summary: Ubuntu Calculator app
 description: The calculator app for all Ubuntu devices.
 confinement: strict
-
+grade: stable
 
 apps:
-  ubuntu-calculator-app:
-    command: desktop-launch $SNAP/usr/lib/*/qt5/bin/qmlscene $SNAP/usr/share/ubuntu-calculator-app/ubuntu-calculator-app.qml
-    plugs: [unity7, opengl]
+    ubuntu-calculator-app:
+        command: desktop-launch qmlscene --desktop_file_hint=unity8 $SNAP/usr/share/ubuntu-calculator-app/ubuntu-calculator-app.qml
+        plugs: [opengl, platform, unity7]
+
+plugs:
+    platform:
+        interface: content
+        content: ubuntu-app-platform1
+        target: ubuntu-app-platform
 
 parts:
-  calculator:
-    plugin: cmake
-    configflags: [-DCMAKE_INSTALL_PREFIX=/usr, -DCLICK_MODE=off]
-    source: .
-    build-packages:
-      - cmake
-      - gettext
-      - intltool
-      - python3
-      - qtbase5-dev
-      - qtdeclarative5-dev
-    stage-packages:
-      - ubuntu-sdk-libs
-      - qtubuntu-desktop
-    snap:
-      - -usr/share/doc
-      - -usr/include
-    after: [desktop/qt5]
+    ubuntu-calculator-app:
+        plugin: cmake
+        configflags: [-DCMAKE_INSTALL_PREFIX=/usr, -DCLICK_MODE=off]
+        source: .
+        build-packages:
+            - cmake
+            - gettext
+            - intltool
+            - python3
+            - qtbase5-dev
+            - qtdeclarative5-dev
+        snap:
+          - -usr/share/doc
+          - -usr/include
+        after: [desktop-ubuntu-app-platform]
+
+    environment:
+        source: snap/
+        plugin: dump

